/*
 * blancoDb
 * Copyright (C) 2004-2005 Yasuo Nakanishi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.definition;

import blanco.ig.expander.Type;

/**
 * @author Yasuo Nakanishi
 */
public class QueryField extends AbstractField {
    private boolean _isReadOnly = false;

    private boolean _isWritable = false;

    private boolean _isDefinitelyWritable = false;

    public QueryField(Class type, String name) {
        super(type, name);
    }

    public QueryField(Type type, String name) {
        super(type, name);
    }

    /**
     * @return _isDefinitelyWritable を戻します。
     */
    public boolean getDefinitelyWritable() {
        return _isDefinitelyWritable;
    }

    /**
     * @param definitelyWritable
     *            _isDefinitelyWritable を設定。
     */
    public void setDefinitelyWritable(boolean definitelyWritable) {
        _isDefinitelyWritable = definitelyWritable;
    }

    /**
     * @return _isReadOnly を戻します。
     */
    public boolean getReadOnly() {
        return _isReadOnly;
    }

    /**
     * @param readOnly
     *            _isReadOnly を設定。
     */
    public void setReadOnly(boolean readOnly) {
        _isReadOnly = readOnly;
    }

    /**
     * @author Tosiki Iga
     * @since 2005.05.01
     */
    public boolean getWritable() {
        return _isWritable;
    }

    /**
     * @author Tosiki Iga
     * @since 2005.05.01
     */
    public void setWritable(boolean isWritable) {
        _isWritable = isWritable;
    }
}
